---
title: Delete Customer Preset by id.
slug: amberflo-api/delete-customer-preset-by-id
docTags: 
createdAt: 2024-11-07T15:10:16.979Z
---

{
  "id": "ZpwmuwE84hoMVw2X3ntE6",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://app.amberflo.io/feature/customer/preset/{customerId}",
    "servers": [
      {
        "url": "https://app.amberflo.io/feature/customer/preset/{customerId}"
      }
    ],
    "name": "Delete Customer Preset by id.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "customerId",
          "type": "string",
          "description": ""
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "metadata.feature_flag.CustomerPreset.out",
            "schema": [
              {
                "name": "customerId",
                "kind": "required",
                "type": "string",
                "description": "Customer id to assign to preset.",
                "example": ""
              },
              {
                "name": "presetId",
                "kind": "required",
                "type": "string",
                "description": "Feature preset id to assign to customer.",
                "example": ""
              },
              {
                "name": "overrides",
                "kind": "optional",
                "type": "map",
                "description": "Flag overrides.",
                "example": "",
                "customType": "map<string, metadata.feature_flag.flag_values.FlagValue.out>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/metadata.feature_flag.CustomerPreset.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "examples": {
      "languages": [
        {
          "id": "jN9DNwCUvuCDChTXLgOUY",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://app.amberflo.io/feature/customer/preset/{customerId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ZaZe_7OYkXYNwPc28YrWn",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/feature/customer/preset/{customerId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "fv82elBzc6H_CMgkxaXty",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/feature/customer/preset/{customerId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "pxPpnAXDIn7ybvghjVOzO",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/feature/customer/preset/{customerId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "jN9DNwCUvuCDChTXLgOUY"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful request\n{\n  \"customerId\": \"\",\n  \"presetId\": \"\",\n  \"overrides\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}